Workstation Requirements

IMPORTANT: Before installing the CommonLook PDF Validator, please ensure that the workstation meets the following minimal requirements.

  • Windows 10, 8, 7, Vista or XP
  • Adobe Acrobat 6.0, 7.0, 8.0, 9.0, 10.0 (Acrobat X) 11.0 (Acrobat XI), or DC – Standard or Professional.

Please be sure to follow the installation instructions carefully.

In addition, we strongly suggest you begin using CommonLook Validator with the instructions in the User’s Guide!

Important Note on the Auto Download

PDF Validator will automatically download to your default downloads folder after you submit the form on the right. Please read the instructions before installing.

Please fill out form below to:
Free PDF Validator - Automatic Download
First Name
Last Name
Business Email
Phone Number
Organization
Title
Country
Comment
Please choose your communication preferences:
By clicking submit you are agreeing to our privacy policy on how we manage and protect your data.